Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0043522
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Retail Modules] Web POSminorhave not tried2020-03-18 14:582020-03-26 14:29
ReporternonofranciscoView Statuspublic 
Assigned Tononofrancisco 
PrioritynormalResolutionfixedFixed in VersionRR20Q2
StatusclosedFix in branchFixed in SCM revisiond4e3b9a134bb
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0043522: Enhance Business Partner remote filtering and creation process in Web POS

DescriptionBusiness Partner remote filtering should be enhanced to allow hql criteria, as well as it should be possible to perform extra actions after business partner and business partner address creation in Web POS
Steps To ReproduceIt should be possible to perform additional actions after the creation of the business partner address in Web POS.
It should be possible to perform additional actions after the creation of the business partner in Web POS.
It should be possible to enhance business partner remote filtering by using hql criteria.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0118716)
hgbot (developer)
2020-03-20 13:30

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: d4e3b9a134bb099efacfe180bc61cc739e00ba16
Author: Nono Carballo <nonofce <at> gmail.com>
Date: Wed Mar 18 10:28:45 2020 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/d4e3b9a134bb099efacfe180bc61cc739e00ba16 [^]

Fixes issue 43522: Enhances BP remote filtering and creation process in Web POS

- Business Partner selector component was enhanced to allow remote filtering
  using hql criteria
- A new hook was created to allow performing extra actions after Business
  Partner creation from Web POS
- A new hook was created to allow performing extra actions after Business
  Partner address creation from Web POS

---
M src/org/openbravo/retail/posterminal/CustomerAddrLoader.java
M src/org/openbravo/retail/posterminal/CustomerLoader.java
M src/org/openbravo/retail/posterminal/master/BPartnerFilter.java
M web/org.openbravo.retail.posterminal/js/components/businesspartner_selector.js
A src/org/openbravo/retail/posterminal/CustomerAddrAfterCreationHook.java
A src/org/openbravo/retail/posterminal/CustomerAfterCreationHook.java
---
(0118764)
marvintm (developer)
2020-03-23 16:30

This part of the change doesn't respect the rules we have for HQL style:


- return "WHERE $filtersCriteria AND bp.customer = true AND "
- + "bp.priceList IS NOT NULL AND bpl.$readableSimpleClientCriteria AND "
- + "bpl.$naturalOrgCriteria AND bp.active = true AND bpl.active = true ";
- } else {
- return "WHERE $filtersCriteria AND bp.customer = true AND "
- + "bp.priceList IS NOT NULL AND bp.$readableSimpleClientCriteria AND "
- + "bp.$naturalOrgCriteria AND bp.active = true ";
+ return new StringBuilder(whereClause).append(" AND bpl.active = true ").toString();

Usage of StringBuilder should be removed. Instead a normal String concatenation here would be correct.
(0118791)
hgbot (developer)
2020-03-25 04:18

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: ad7f058f9f365a31d06b5d703185c8ecd95bf61a
Author: Nono Carballo <nonofce <at> gmail.com>
Date: Tue Mar 24 23:16:54 2020 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/ad7f058f9f365a31d06b5d703185c8ecd95bf61a [^]

Related to issue 43522: Uses string concatenation instead of StringBuilder

---
M src/org/openbravo/retail/posterminal/master/BPartnerFilter.java
---
(0118842)
hgbot (developer)
2020-03-26 14:27

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: c7a975896aab6155db6350a500714e22bfa59941
Author: Antonio Moreno Perez <antonio.moreno <at> openbravo.com>
Date: Thu Mar 26 14:27:38 2020 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c7a975896aab6155db6350a500714e22bfa59941 [^]

Related to issue 43522. Method should not be abstract if it's an interface

---
M src/org/openbravo/retail/posterminal/CustomerAddrAfterCreationHook.java
---

- Issue History
Date Modified Username Field Change
2020-03-18 14:58 nonofrancisco New Issue
2020-03-18 14:58 nonofrancisco Assigned To => Retail
2020-03-18 14:58 nonofrancisco Triggers an Emergency Pack => No
2020-03-18 15:00 nonofrancisco Summary Enhance Business Partner management in Web POS => Enhance Business Partner remote filtering and creation process in Web POS
2020-03-18 15:01 guillermogil Assigned To Retail => nonofrancisco
2020-03-20 13:30 hgbot Checkin
2020-03-20 13:30 hgbot Note Added: 0118716
2020-03-20 13:30 hgbot Status new => resolved
2020-03-20 13:30 hgbot Resolution open => fixed
2020-03-20 13:30 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/d4e3b9a134bb099efacfe180bc61cc739e00ba16 [^]
2020-03-23 16:30 marvintm Note Added: 0118764
2020-03-23 16:30 marvintm Status resolved => new
2020-03-23 16:30 marvintm Resolution fixed => open
2020-03-25 04:18 hgbot Checkin
2020-03-25 04:18 hgbot Note Added: 0118791
2020-03-25 08:37 marvintm Status new => scheduled
2020-03-25 08:37 marvintm Status scheduled => resolved
2020-03-25 08:37 marvintm Fixed in Version => RR20Q2
2020-03-25 08:37 marvintm Resolution open => fixed
2020-03-26 14:27 hgbot Checkin
2020-03-26 14:27 hgbot Note Added: 0118842
2020-03-26 14:29 marvintm Review Assigned To => marvintm
2020-03-26 14:29 marvintm Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker